commit:     2c41c5401218d64b17f7f3724f3b4a6f5960fe31
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 13 11:24:33 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Mar 13 15:23:29 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2c41c540

dev-ml/ocaml-gettext: convert to dev-ml/ounit2 for tests

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-ml/ocaml-gettext/ocaml-gettext-0.3.7-r3.ebuild | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

diff --git a/dev-ml/ocaml-gettext/ocaml-gettext-0.3.7-r3.ebuild 
b/dev-ml/ocaml-gettext/ocaml-gettext-0.3.7-r3.ebuild
index 66873aa06ef..7af5b26e0ad 100644
--- a/dev-ml/ocaml-gettext/ocaml-gettext-0.3.7-r3.ebuild
+++ b/dev-ml/ocaml-gettext/ocaml-gettext-0.3.7-r3.ebuild
@@ -36,11 +36,20 @@ RDEPEND="
 "
 DEPEND="
        ${RDEPEND}
-       test? ( dev-ml/ounit )
+       test? ( dev-ml/ounit2 )
 "
 
 src_prepare() {
        default
+
+       # Porting to dev-ml/ounit2
+       sed -i \
+               -e 
's/OCAMLFIND_CHECK_MODULE(oUnit/OCAMLFIND_CHECK_MODULE(ounit2/' \
+               configure.in || die
+       sed -i \
+               -e 's/oUnit/ounit2/' \
+               test/Makefile || die
+
        eautoreconf
 }
 

Reply via email to